### Enumeration

# EBackend CollectionBackendParts

since: 3.40

#### Declaration

    flags EBackend.CollectionBackendParts

#### Description [src]

Flags to check whether at least one of the asked for parts is enabled.

Available since: 3.40

#### Members

`E_COLLECTION_BACKEND_PART_NONE`

  None part.

  - Value: `0`
  - Available since: 3.40
`E_COLLECTION_BACKEND_PART_CALENDAR`

  Check the calendar part.

  - Value: `1`
  - Available since: 3.40
`E_COLLECTION_BACKEND_PART_CONTACTS`

  Check the contacts part.

  - Value: `2`
  - Available since: 3.40
`E_COLLECTION_BACKEND_PART_MAIL`

  Check the mail part.

  - Value: `4`
  - Available since: 3.40
`E_COLLECTION_BACKEND_PART_ANY`

  Shortcut to have all parts checked.

  - Value: `-1`
  - Available since: 3.40